pydo.genai.run_evaluation_test_case()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.genai.run_evaluation_test_case(
body={
"agent_deployment_names": [...],
"agent_uuids": [...],
"run_name": "Evaluation Run Name",
...,
},
)Description
To run an evaluation test case, send a POST request to /v2/gen-ai/evaluation_runs.
Parameters
agent_deployment_namesarray of strings optionalExample:
['example string']Agent deployment names to run the test case against (ADK agent workspaces).
agent_uuidsarray of strings optionalExample:
['example string']Agent UUIDs to run the test case against (legacy agents).
run_namestring optionalExample:
Evaluation Run NameThe name of the run.
test_case_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Test-case UUID to run
Request Sample
Response Example
More Information
See /v2/gen-ai/evaluation_runs in the API reference for additional detail on responses, headers, parameters, and more.